Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util
Class StringUtils

    java.lang.Object
      |
      +--org.apache.soap.util.StringUtils

public class StringUtils
extends java.lang.Object

Deals with strings (probably need to elaborate some more).

Field Summary
`static java.lang.String` | `lineSeparator`
`static java.lang.String` | `URI_SEPARATION_CHAR`

Constructor Summary
`StringUtils()`

Method Summary
`static java.lang.String` | `getClassName(java.lang.Class targetClass)`
`static java.io.Reader` | `getContentAsReader(java.net.URL url)`
`static java.lang.String` | `getContentAsString(java.net.URL url)`
`static java.net.URL` | `getURL(java.net.URL contextURL, java.lang.String spec)`
`static java.lang.String` | `parseFullTargetObjectURI(java.lang.String fullTargetObjectURI)` This method will perform the splicing of a full URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineSeparator

    public static final java.lang.String lineSeparator

### URI_SEPARATION_CHAR

    public static java.lang.String URI_SEPARATION_CHAR

Constructor Detail

### StringUtils

    public StringUtils()

Method Detail

### getClassName

    public static java.lang.String getClassName(java.lang.Class targetClass)

### getURL

    public static java.net.URL getURL(java.net.URL contextURL,
                                      java.lang.String spec)
                               throws java.net.MalformedURLException

    `java.net.MalformedURLException`

### getContentAsReader

    public static java.io.Reader getContentAsReader(java.net.URL url)
                                             throws java.lang.SecurityException,
                                                    java.lang.IllegalArgumentException,
                                                    java.io.IOException

    `java.lang.SecurityException`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### getContentAsString

    public static java.lang.String getContentAsString(java.net.URL url)
                                               throws java.lang.SecurityException,
                                                      java.lang.IllegalArgumentException,
                                                      java.io.IOException

    `java.lang.SecurityException`
    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### parseFullTargetObjectURI

    public static java.lang.String parseFullTargetObjectURI(java.lang.String fullTargetObjectURI)

  This method will perform the splicing of a full URI. It is currently the only place where the delimiting character in the URI that triggers the splicing operation is specified. (This character should later be specified as a constant... Creation date: (10/23/00 2:54:33 PM)
  Parameters:
    `fullTargetObjectURI` - java.lang.String
  Returns:
    java.lang.String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.